""" Copyright start
  Copyright (C) 2023 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from django.utils.translation import gettext_lazy as _
from rest_framework import status
from rest_framework.exceptions import APIException
from constants.error_message import *


#
class MessagePublishFailed(APIException):
    status_code = status.HTTP_500_INTERNAL_SERVER_ERROR
    default_code = 'message_publish_failed'
    default_detail = _('Message publish failed.')